package cn.com.poc.knowledge.dto;

import cn.com.poc.thirdparty.resource.demand.ai.entity.knowledge.SegmentationConfigRequest;

import java.io.Serializable;
import java.util.List;

public class TrainKnowledgeDto implements Serializable {

    private Integer knowledgeInfoId;

    private List<Integer> kdIds;

    private SegmentationConfigRequest segmentationConfig;

    public Integer getKnowledgeInfoId() {
        return knowledgeInfoId;
    }

    public void setKnowledgeInfoId(Integer knowledgeInfoId) {
        this.knowledgeInfoId = knowledgeInfoId;
    }

    public List<Integer> getKdIds() {
        return kdIds;
    }

    public void setKdIds(List<Integer> kdIds) {
        this.kdIds = kdIds;
    }

    public SegmentationConfigRequest getSegmentationConfig() {
        return segmentationConfig;
    }

    public void setSegmentationConfig(SegmentationConfigRequest segmentationConfig) {
        this.segmentationConfig = segmentationConfig;
    }
}
